Manual Package Updates

From NST Wiki
Revision as of 18:28, 8 August 2011 by Paul Blankenbaker (talk | contribs) (Packages Which Are Updatable)
Jump to navigationJump to search

Currently, there are no packages which have "add-ons" which need to be manually updated.

  • Boot a recent build and bring up Firefox. Make sure that Firefox has its default settings set as specified on the Firefox Configuration page.
  • The Metasploit exploits need to be manually updated to the latest version by hand before building the final release.

Packages Which Are Updatable

Some other packages also have the notion of "updates", but these are either done automatically during the build process, or manually by the end user.

  • The clamav package should ship with the latest signatures (this should be automatic in the configure/build process).
  • The nikto package has a update feature, but at this time it is not done prior to build the ISO image.